Bug Hunting Session
Bug 79273 - Data Statistics crashes with any entry
Summary: Data Statistics crashes with any entry
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: high critical
Assignee: Julien Nabet
URL:
Whiteboard: target:4.4.0 target:4.3.1
Keywords: haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2014-05-26 20:24 UTC by Regina Henschel
Modified: 2014-08-14 20:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
File with data (25.34 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-05-26 20:24 UTC, Regina Henschel
Details
Screenshot of the error message (17.67 KB, image/png)
2014-05-26 20:26 UTC, Regina Henschel
Details
bt with master sources (39.06 KB, text/plain)
2014-07-27 17:31 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2014-05-26 20:24:15 UTC
Created attachment 99892 [details]
File with data

In the attached file I want to perform a statistics type "correlation".

If I use Data > Statistics > Correlation LO crashes. It makes no difference whether I have previously selected range C1:G11 or C2:G11 or have nothing selected.

I get the crash with
Version: 4.4.0.0.alpha0+
Build ID: aa453de65b8b44f9c1e6012caaeef11df9ff65fc
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-24_13:45:34

but there is no crash with
Version: 4.3.0.0.alpha1+
Build ID: 0b03f7ed575838f90e6b1ebec3538a3a214f81fb
TinderBox: Win-x86@39, Branch:master, Time: 2014-04-30_01:30:46
Comment 1 Regina Henschel 2014-05-26 20:26:35 UTC
Created attachment 99893 [details]
Screenshot of the error message
Comment 2 m.a.riosv 2014-05-26 21:32:24 UTC
Reproducible:
Win7x64
Version: 4.4.0.0.alpha0+ Build ID: dc91ebed1a3b0ef900b1bb5cf203c6a9aeb83016
   TinderBox: Win-x86@39, Branch:master, Time: 2014-05-26_01:36:09

Selecting twice "Ignore" Libreoffice continues running.

Windbg
"
Assertion failed!

Program: ...XXXX\Downloads\LibreOfficeMaster\program\vcllo.dll
File: C:/cygwin/home/tinderbox/master/vcl/sourc.../builder.cxx
Line: 2978

Expression: false

For information on how your program can cause an assertion
failure, see the Visual C++ documentation on asserts

(Press Retry to debug the application - JIT must be enabled)Assertion failed!

Program: ...XXXX\Downloads\LibreOfficeMaster\program\vcllo.dll
File: C:/cygwin/home/tinderbox/master/vcl/sourc.../builder.cxx
Line: 2978

Expression: false

For information on how your program can cause an assertion
failure, see the Visual C++ documentation on asserts

(Press Retry to debug the application - JIT must be enabled)
"
Comment 3 Julien Nabet 2014-07-27 17:29:21 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
It seems that every entry of stats (at least first four) make LO crash.
I could reproduce the crash with 4.3 sources updated 1 week ago but not with 4.2 sources updated some days ago.
Comment 4 Julien Nabet 2014-07-27 17:31:07 UTC
Created attachment 103552 [details]
bt with master sources

I attached simple and full bts with master sources.
Comment 5 Julien Nabet 2014-07-27 17:50:05 UTC
I'm working on it.
Comment 6 Commit Notification 2014-07-27 18:01:22 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb3dcb0b2ec1a7ecacb72ec1348010000163aa06

Resolves fdo#79273: Data Statistics crashes with any entry



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Kohei Yoshida 2014-07-27 18:13:32 UTC
Good catch once again.  I'll backport this to 4.3.
Comment 8 Commit Notification 2014-07-27 18:16:07 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c5ed29a621396de4fff5e9fa7b61b7303295edc9&h=libreoffice-4-3

Resolves fdo#79273: Data Statistics crashes with any entry


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Julien Nabet 2014-07-27 18:22:55 UTC
Thank you Kohei for the review, I'll put it fixed now.
Comment 10 Julien Nabet 2014-07-27 21:35:25 UTC
Caolan: the patch (http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb3dcb0b2ec1a7ecacb72ec1348010000163aa06) pushed works but I made more tests and saw that adding again "cancel" action-widget was ok.
Should I add again cancel for all the ui files I changed?
(How can it work without "cancel" action-widget?)
Comment 11 Caolán McNamara 2014-08-12 08:37:04 UTC
caolanm->julien: We are only currently using the "responses" for message dialogs, i.e. we look up the button pressed and return the response id for that as the dialog return value. For all the other dialogs we aren't using responses yet which is why things work with the missing action-widget lines.

Ideally cancel should be listed there when there is a cancel button in the dialog, but its super low priority as the functionality isn't in use for those types of dialogs.
Comment 12 Julien Nabet 2014-08-14 20:44:16 UTC
Thank you Caolan for the feedback. So I'll let this as it is now.